from core.models.BaseConnection import BaseConnection
from dataclasses import dataclass


@dataclass
class SystemConnection (BaseConnection):

    def __post_init__(self):

        if self.code != 'wireguard':
            raise ValueError('Invalid connection code.')

    @staticmethod
    def needs_proxy_configuration():
        return False
