from dataclasses import dataclass, field
from dataclasses_json import dataclass_json, config
from typing import Optional
import dataclasses_json


@dataclass_json
@dataclass
class ProxyConfiguration:
    ip_address: str
    port_number: int
    username: str
    password: str
    time_zone: Optional[str] = field(
        default=None,
        metadata=config(
            undefined=dataclasses_json.Undefined.EXCLUDE,
            exclude=lambda value: value is None
        )
    )
